org.kie.internal.query

## Interface QueryParameterIdentifiers

-     public interface QueryParameterIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTUAL_OWNER_ID_LIST`
    `static String` | `ARCHIVED`
    `static String` | `ASCENDING_VALUE`
    `static String` | `BUSINESS_ADMIN_ID_LIST`
    `static String` | `COMMAND_NAME_LIST`
    `static String` | `CORRELATION_KEY_LIST`
    `static String` | `CREATED_BY_LIST`
    `static String` | `CREATED_ON_LIST`
    `static String` | `DATE_LIST`
    `static String` | `DEPLOYMENT_ID_LIST`
    `static String` | `DESCENDING_VALUE`
    `static String` | `DURATION_LIST`
    `static String` | `END_DATE_LIST`
    `static String` | `EXCLUDED_OWNER_ID_LIST`
    `static String` | `EXECUTOR_EXECUTIONS_LIST`
    `static String` | `EXECUTOR_KEY_LIST`
    `static String` | `EXECUTOR_OWNER_LIST`
    `static String` | `EXECUTOR_RETRIES_LIST`
    `static String` | `EXECUTOR_STATUS_LIST`
    `static String` | `EXECUTOR_TIME_LIST`
    `static String` | `EXPIRATION_TIME_LIST`
    `static String` | `EXTERNAL_ID_LIST`
    `static String` | `FILTER`
    `static String` | `FIRST_RESULT`
    `static String` | `FLUSH_MODE`
    `static String` | `ID_LIST`
    `static String` | `IDENTITY_LIST`
    `static AtomicInteger` | `idGen` *All* Query parameter identifiers MUST have the following format: - If a query can be executed on multiple values of the parameter ( for example, process instance id), => Then the constant name should end with "_LIST"
    `static String` | `LANGUAGE`
    `static String` | `LAST_VARIABLE_LIST`
    `static String` | `MAX_RESULTS`
    `static String` | `MESSAGE_LIST`
    `static String` | `NODE_ID_LIST`
    `static String` | `NODE_INSTANCE_ID_LIST`
    `static String` | `NODE_NAME_LIST`
    `static String` | `OLD_VALUE_LIST`
    `static String` | `ORDER_BY`
    `static String` | `ORDER_TYPE`
    `static String` | `OUTCOME_LIST`
    `static String` | `PAGE_NUMBER`
    `static String` | `PAGE_SIZE`
    `static String` | `POTENTIAL_OWNER_ID_LIST`
    `static String` | `PROCESS_ID_LIST`
    `static String` | `PROCESS_INSTANCE_ID_LIST`
    `static String` | `PROCESS_INSTANCE_PARENT_ID_LIST`
    `static String` | `PROCESS_INSTANCE_STATUS_LIST`
    `static String` | `PROCESS_NAME_LIST`
    `static String` | `PROCESS_SESSION_ID_LIST`
    `static String` | `PROCESS_VERSION_LIST`
    `static String` | `SKIPPABLE`
    `static String` | `STACK_TRACE_LIST`
    `static String` | `STAKEHOLDER_ID_LIST`
    `static String` | `START_DATE_LIST`
    `static String` | `SUB_TASKS_STRATEGY`
    `static String` | `TASK_ACTIVATION_TIME_LIST`
    `static String` | `TASK_DESCRIPTION_LIST`
    `static String` | `TASK_DUE_DATE_LIST`
    `static String` | `TASK_EVENT_DATE_ID_LIST`
    `static String` | `TASK_EVENT_LOG_TIME_LIST`
    `static String` | `TASK_EVENT_MESSAGE_LIST`
    `static String` | `TASK_FORM_NAME_LIST`
    `static String` | `TASK_ID_LIST`
    `static String` | `TASK_NAME_LIST`
    `static String` | `TASK_PARENT_ID_LIST`
    `static String` | `TASK_PRIORITY_LIST`
    `static String` | `TASK_PROCESS_SESSION_ID_LIST`
    `static String` | `TASK_STATUS_LIST`
    `static String` | `TASK_SUBJECT_LIST`
    `static String` | `TASK_USER_ROLES_LIMIT_LIST`
    `static String` | `TASK_VARIABLE_COMBINED_ID`
    `static String` | `TASK_VARIABLE_DATE_ID_LIST`
    `static String` | `TASK_VARIABLE_NAME_ID_LIST`
    `static String` | `TASK_VARIABLE_VALUE_ID_LIST`
    `static String` | `TYPE_LIST`
    `static String` | `USER_ID_LIST`
    `static String` | `VALUE_LIST`
    `static String` | `VAR_VAL_SEPARATOR`
    `static String` | `VAR_VALUE_ID_LIST`
    `static String` | `VARIABLE_ID_LIST`
    `static String` | `VARIABLE_INSTANCE_ID_LIST`
    `static String` | `WORK_ITEM_ID_LIST`

- - ### Field Detail

    - #### FIRST_RESULT

          static final String FIRST_RESULT

      See Also:
        Constant Field Values

    - #### MAX_RESULTS

          static final String MAX_RESULTS

      See Also:
        Constant Field Values

    - #### FLUSH_MODE

          static final String FLUSH_MODE

      See Also:
        Constant Field Values

    - #### PAGE_NUMBER

          static final String PAGE_NUMBER

      See Also:
        Constant Field Values

    - #### PAGE_SIZE

          static final String PAGE_SIZE

      See Also:
        Constant Field Values

    - #### FILTER

          static final String FILTER

      See Also:
        Constant Field Values

    - #### ORDER_BY

          static final String ORDER_BY

      See Also:
        Constant Field Values

    - #### ORDER_TYPE

          static final String ORDER_TYPE

      See Also:
        Constant Field Values

    - #### ASCENDING_VALUE

          static final String ASCENDING_VALUE

      See Also:
        Constant Field Values

    - #### DESCENDING_VALUE

          static final String DESCENDING_VALUE

      See Also:
        Constant Field Values

    - #### idGen

          static final AtomicInteger idGen

      *All* Query parameter identifiers MUST have the following format: - If a query can be executed on multiple values of the parameter ( for example, process instance id), => Then the constant name should end with "_LIST". - If a query can only contain one value of the parameter (for example, language for task queries), => Then the constant name should only be the parameter name.

    - #### PROCESS_ID_LIST

          static final String PROCESS_ID_LIST

    - #### PROCESS_INSTANCE_ID_LIST

          static final String PROCESS_INSTANCE_ID_LIST

    - #### PROCESS_SESSION_ID_LIST

          static final String PROCESS_SESSION_ID_LIST

    - #### WORK_ITEM_ID_LIST

          static final String WORK_ITEM_ID_LIST

    - #### DEPLOYMENT_ID_LIST

          static final String DEPLOYMENT_ID_LIST

    - #### START_DATE_LIST

          static final String START_DATE_LIST

    - #### END_DATE_LIST

          static final String END_DATE_LIST

    - #### DATE_LIST

          static final String DATE_LIST

    - #### ID_LIST

          static final String ID_LIST

    - #### TYPE_LIST

          static final String TYPE_LIST

    - #### DURATION_LIST

          static final String DURATION_LIST

    - #### IDENTITY_LIST

          static final String IDENTITY_LIST

    - #### PROCESS_NAME_LIST

          static final String PROCESS_NAME_LIST

    - #### PROCESS_VERSION_LIST

          static final String PROCESS_VERSION_LIST

    - #### PROCESS_INSTANCE_STATUS_LIST

          static final String PROCESS_INSTANCE_STATUS_LIST

    - #### OUTCOME_LIST

          static final String OUTCOME_LIST

    - #### CORRELATION_KEY_LIST

          static final String CORRELATION_KEY_LIST

    - #### NODE_ID_LIST

          static final String NODE_ID_LIST

    - #### NODE_INSTANCE_ID_LIST

          static final String NODE_INSTANCE_ID_LIST

    - #### NODE_NAME_LIST

          static final String NODE_NAME_LIST

    - #### PROCESS_INSTANCE_PARENT_ID_LIST

          static final String PROCESS_INSTANCE_PARENT_ID_LIST

    - #### VARIABLE_ID_LIST

          static final String VARIABLE_ID_LIST

    - #### VARIABLE_INSTANCE_ID_LIST

          static final String VARIABLE_INSTANCE_ID_LIST

    - #### VAR_VALUE_ID_LIST

          static final String VAR_VALUE_ID_LIST

    - #### VALUE_LIST

          static final String VALUE_LIST

    - #### OLD_VALUE_LIST

          static final String OLD_VALUE_LIST

    - #### EXTERNAL_ID_LIST

          static final String EXTERNAL_ID_LIST

    - #### LAST_VARIABLE_LIST

          static final String LAST_VARIABLE_LIST

    - #### VAR_VAL_SEPARATOR

          static final String VAR_VAL_SEPARATOR

      See Also:
        Constant Field Values

    - #### TASK_ID_LIST

          static final String TASK_ID_LIST

    - #### BUSINESS_ADMIN_ID_LIST

          static final String BUSINESS_ADMIN_ID_LIST

    - #### POTENTIAL_OWNER_ID_LIST

          static final String POTENTIAL_OWNER_ID_LIST

    - #### STAKEHOLDER_ID_LIST

          static final String STAKEHOLDER_ID_LIST

    - #### ACTUAL_OWNER_ID_LIST

          static final String ACTUAL_OWNER_ID_LIST

    - #### EXCLUDED_OWNER_ID_LIST

          static final String EXCLUDED_OWNER_ID_LIST

    - #### CREATED_BY_LIST

          static final String CREATED_BY_LIST

    - #### TASK_STATUS_LIST

          static final String TASK_STATUS_LIST

    - #### LANGUAGE

          static final String LANGUAGE

    - #### CREATED_ON_LIST

          static final String CREATED_ON_LIST

    - #### TASK_NAME_LIST

          static final String TASK_NAME_LIST

    - #### TASK_PARENT_ID_LIST

          static final String TASK_PARENT_ID_LIST

    - #### TASK_ACTIVATION_TIME_LIST

          static final String TASK_ACTIVATION_TIME_LIST

    - #### TASK_DESCRIPTION_LIST

          static final String TASK_DESCRIPTION_LIST

    - #### TASK_PRIORITY_LIST

          static final String TASK_PRIORITY_LIST

    - #### TASK_PROCESS_SESSION_ID_LIST

          static final String TASK_PROCESS_SESSION_ID_LIST

    - #### TASK_DUE_DATE_LIST

          static final String TASK_DUE_DATE_LIST

    - #### ARCHIVED

          static final String ARCHIVED

    - #### EXPIRATION_TIME_LIST

          static final String EXPIRATION_TIME_LIST

    - #### TASK_FORM_NAME_LIST

          static final String TASK_FORM_NAME_LIST

    - #### SKIPPABLE

          static final String SKIPPABLE

    - #### TASK_SUBJECT_LIST

          static final String TASK_SUBJECT_LIST

    - #### SUB_TASKS_STRATEGY

          static final String SUB_TASKS_STRATEGY

    - #### TASK_USER_ROLES_LIMIT_LIST

          static final String TASK_USER_ROLES_LIMIT_LIST

    - #### TASK_EVENT_DATE_ID_LIST

          static final String TASK_EVENT_DATE_ID_LIST

    - #### USER_ID_LIST

          static final String USER_ID_LIST

    - #### TASK_EVENT_MESSAGE_LIST

          static final String TASK_EVENT_MESSAGE_LIST

    - #### TASK_EVENT_LOG_TIME_LIST

          static final String TASK_EVENT_LOG_TIME_LIST

    - #### MESSAGE_LIST

          static final String MESSAGE_LIST

    - #### EXECUTOR_STATUS_LIST

          static final String EXECUTOR_STATUS_LIST

    - #### EXECUTOR_TIME_LIST

          static final String EXECUTOR_TIME_LIST

    - #### STACK_TRACE_LIST

          static final String STACK_TRACE_LIST

    - #### COMMAND_NAME_LIST

          static final String COMMAND_NAME_LIST

    - #### EXECUTOR_EXECUTIONS_LIST

          static final String EXECUTOR_EXECUTIONS_LIST

    - #### EXECUTOR_KEY_LIST

          static final String EXECUTOR_KEY_LIST

    - #### EXECUTOR_OWNER_LIST

          static final String EXECUTOR_OWNER_LIST

    - #### EXECUTOR_RETRIES_LIST

          static final String EXECUTOR_RETRIES_LIST

    - #### TASK_VARIABLE_NAME_ID_LIST

          static final String TASK_VARIABLE_NAME_ID_LIST

    - #### TASK_VARIABLE_VALUE_ID_LIST

          static final String TASK_VARIABLE_VALUE_ID_LIST

    - #### TASK_VARIABLE_COMBINED_ID

          static final String TASK_VARIABLE_COMBINED_ID

    - #### TASK_VARIABLE_DATE_ID_LIST

          static final String TASK_VARIABLE_DATE_ID_LIST

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.